import { ESSceneObject } from "vtxf-xe2/dist-node/xe2-base-objects";
import { Listener, PartialWithUndefinedReactivePropsToNativeProps, ReactivePropsToNativePropsAndChanged } from "vtxf-xe2/dist-node/xe2-base-utils";
import { SceneObjectKey } from "vtxf-xe2/dist-node/xe2-utils";
export declare type ClassicNavigatorCssStyleJsonType = [left?: number | null, top?: number | null, right?: number | null, bottom?: number | null];
export declare class CzmClassicNavigator extends ESSceneObject {
    static readonly type: string;
    get typeName(): string;
    get defaultProps(): {
        execOnceFuncStr: string | undefined;
        updateFuncStr: string | undefined;
        toDestroyFuncStr: string | undefined;
        name: string;
        ref: string | undefined;
        devTags: import("vtxf-xe2/dist-node/xe2-base-utils").ReactiveVariable<string[] | undefined>;
        extras: import("vtxf-xe2/dist-node/xe2-base-utils").ReactiveVariable<import("vtxf-xe2/dist-node/xe2-base-utils").JsonValue>;
        showCompass: boolean;
        compassStyle: import("vtxf-xe2/dist-node/xe2-base-utils").ReactiveVariable<ClassicNavigatorCssStyleJsonType>;
        showDistanceLegend: boolean;
        distanceLegendStyle: import("vtxf-xe2/dist-node/xe2-base-utils").ReactiveVariable<ClassicNavigatorCssStyleJsonType>;
    };
    get json(): JsonType;
    set json(value: JsonType);
    private _flyToEvent;
    get flyToEvent(): Listener<[number | undefined]>;
    flyTo(duration?: number): void;
    static compassStyleReadMe: string;
    static distanceLegendStyleReadMe: string;
    constructor(id?: SceneObjectKey);
    static defaults: {
        viewerTagsEnums: [string, string][];
    };
    getProperties(language?: string): import("vtxf-xe2/dist-node/xe2-base-objects").Property[];
}
export declare namespace CzmClassicNavigator {
    const createDefaultProps: () => {
        execOnceFuncStr: string | undefined;
        updateFuncStr: string | undefined;
        toDestroyFuncStr: string | undefined;
        name: string;
        ref: string | undefined;
        devTags: import("vtxf-xe2/dist-node/xe2-base-utils").ReactiveVariable<string[] | undefined>;
        extras: import("vtxf-xe2/dist-node/xe2-base-utils").ReactiveVariable<import("vtxf-xe2/dist-node/xe2-base-utils").JsonValue>;
        showCompass: boolean;
        compassStyle: import("vtxf-xe2/dist-node/xe2-base-utils").ReactiveVariable<ClassicNavigatorCssStyleJsonType>;
        showDistanceLegend: boolean;
        distanceLegendStyle: import("vtxf-xe2/dist-node/xe2-base-utils").ReactiveVariable<ClassicNavigatorCssStyleJsonType>;
    };
}
export interface CzmClassicNavigator extends ReactivePropsToNativePropsAndChanged<ReturnType<typeof CzmClassicNavigator.createDefaultProps>> {
}
declare type JsonType = PartialWithUndefinedReactivePropsToNativeProps<ReturnType<typeof CzmClassicNavigator.createDefaultProps> & {
    type: string;
}>;
export {};
